version: "3.6"
services:
  app:
    image: docker-registry.pirati.cz/to/docker-limesurvey:master
    volumes:
      - "/mnt/glusterfs/limesurvey/uploads:/var/www/html/upload/surveys"
      - "/mnt/glusterfs/limesurvey/saml2:/etc/apache2/saml2"
    ports:
      - "8080:80"
    environment:
        HOST: dotazniky.pirati.cz
        SP_ID: dotazniky
        IDP_METADATA: https://auth.pirati.cz/auth/realms/pirati/protocol/saml/descriptor
        DB_TYPE: pgsql
        DB_PORT: 5432
        DB_HOST: pg
        DB_NAME: limesurvey
        DB_USERNAME: limesurvey
        DB_PASSWORD: XXXXXXXXXXXXX
        ADMIN_NAME: admin
        ADMIN_PASSWORD: XXXXXXXXXXXXX
        ADMIN_EMAIL: andrej@x2.cz

